Subject: Re: [next-20120823] NOHZ: local_softirq_pending 200 on s/r

From: Thomas Gleixner <[email-masked]>
Date: Thu, 23 Aug 2012 12:46:37 +0200 (CEST)

On Thu, 23 Aug 2012, Sedat Dilek wrote:

> Hi,
> 
> this week I was seeing the below NOHZ messages in my logs especially
> when suspending and resuming.
> 
> Currently, I am using linux-next (next-20120823) on Ubuntu/precise
> AMD64 with a Intel S(a)N(dy)B(ridge)-CPU.
> 
> $ dmesg | grep -A1 -B1 -i nohz
> [  720.331819] Disabling non-boot CPUs ...
> [  720.332035] NOHZ: local_softirq_pending 200
> [  720.434312] smpboot: CPU 1 is now offline
> [  720.434825] NOHZ: local_softirq_pending 200
> [  720.538237] smpboot: CPU 2 is now offline
> [  720.538676] NOHZ: local_softirq_pending 200
> [  720.642162] smpboot: CPU 3 is now offline
> 
> If I manually disable the cpuX... First I did not see NOHZ messages
> but then there were some lines seen especially when cpuX went offline
> (here: cpu1)
> 
> # echo 0 >/sys/devices/system/cpu/cpu1/online
> 
> [ dmeg ]
> [ 2605.515771] smpboot: CPU 1 is now offline
> 
> The same with cpu2 and cpu3.
> 
> Jack Winter confirmed to see similiar NOHZ messages also on
> v3.4.9-rt17 kernel (CPU: Core2Duo when no suspend performed):
> 
> [15223.171585] NOHZ: local_softirq_pending 08

That's a different issue. That's a pending networking softirq when we
go idle. Unrelated to the RCU / hotplug issue you are observing.

> So, the issue is seen on linux-next and -rt kernels.
> 
> According to Thomas "softirq 0x200 is the RCU one" and he requested me
> to address the issue to Paul on #linux-rt.
> 
> Regards,
> - Sedat -
>